Subject: pdcurses
From: [email-masked]

30 Mar 1997 15:40:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
X-mailer: Pegasus Mail for Win32 (v2.53)
Original-Sender: [email-masked]

Hello,

  I can't seem to get pdcurses to work for me.  I got the library 
from the following URL:
ftp://ftp.deerinet.nb.ca/pub/gnu-win32/pdcurses-cygwin32.new.zip

  I am using cygnus gnu-win32 b17.1 with win95.  I tried to compile 
the following source by typing "gcc test.c" and
"gcc -lcurses test.c"

#include <stdio.h>
#include <curses.h>

main(){
 char x;

 printf("This is a test.\n");
 x=getch();
 printf("This is the result.\n");
}

I got the following error:
c:\temp\/cc0010001.o(.text+0x41):test2.c: undefined reference to 
`stdscr'
c:\temp\/cc0010001.o(.text+0x47):test2.c: undefined reference to 
`wgetch'

Ben.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".